package cn.com.ty.lift.ud.bannerImage.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import cn.com.ty.lift.ud.bannerImage.mapper.BannerImageMapper;
import cn.com.ty.lift.ud.bannerImage.mapper.entity.BannerImageEntity;
import cn.com.ty.lift.ud.bannerImage.service.IBannerImageService;

@Service
@Transactional
public class BannerImageServiceImpl extends ServiceImpl<BannerImageMapper, BannerImageEntity>
        implements IBannerImageService {

	@Autowired
	private BannerImageMapper bannerImageMapper;
	
	@Override
	public void updateByIds(List<Long> ids, Integer status) {
		for(Long id : ids) {
			BannerImageEntity bit = new BannerImageEntity();
			bit.setId(id);
			bit.setStatuz(status);
			bannerImageMapper.updateById(bit);
		}
	}

}
